#ifndef SHADER_HXX
#define SHADER_HXX

#include "Vec3f.hxx"
#include "Ray.hxx"

class Scene; // forward declaration

class Shader
{
protected:
	Scene *scene;
public:
	Shader(Scene *scene) : scene(scene)
	{};

        virtual ~Shader(){};

	virtual Vec3f Shade(Ray &ray) = 0;
};

#endif
